[arch-commits] Commit in ostree/repos/extra-x86_64 (PKGBUILD PKGBUILD keys)

David Runge dvzrv at gemini.archlinux.org
Fri Jul 22 20:40:12 UTC 2022


    Date: Friday, July 22, 2022 @ 20:40:12
  Author: dvzrv
Revision: 451559

archrelease: copy trunk to extra-x86_64

Added:
  ostree/repos/extra-x86_64/PKGBUILD
    (from rev 451558, ostree/trunk/PKGBUILD)
  ostree/repos/extra-x86_64/keys/
Deleted:
  ostree/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  152 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 76 insertions(+), 76 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2022-07-22 20:39:24 UTC (rev 451558)
+++ PKGBUILD	2022-07-22 20:40:12 UTC (rev 451559)
@@ -1,76 +0,0 @@
-# Maintainer: David Runge <dvzrv at archlinux.org>
-# Contributor: Jan Alexander Steffens (heftig) <heftig at archlinux.org>
-# Contributor: Mirco Tischler <mt-ml at gmx dot de>
-
-_name=libostree
-pkgname=ostree
-_commit=5fa364d3997a6b24850cddaa3c22def85baff575  # tags/v2022.4^{}
-pkgver=2022.4
-pkgrel=1
-pkgdesc="Operating system and container binary deployment and upgrades"
-url="https://ostreedev.github.io/ostree/"
-arch=(x86_64)
-license=(GPL)
-depends=(fuse2 glibc libgpg-error libsodium util-linux openssl xz zlib)
-makedepends=(avahi e2fsprogs git glib2 gobject-introspection gpgme gtk-doc
-             libarchive libsoup libxslt mkinitcpio python systemd)
-checkdepends=(cpio elfutils gjs parallel python-yaml syslinux)
-source=(
-  git+https://github.com/ostreedev/ostree#commit=$_commit
-  git+https://github.com/mendsley/bsdiff
-  git+https://gitlab.gnome.org/GNOME/libglnx.git
-)
-b2sums=('SKIP'
-        'SKIP'
-        'SKIP')
-# upstream ticket about chain of trust:
-# https://github.com/ostreedev/ostree/issues/2349
-validpgpkeys=('1CEC7A9DF7DA85ABEF843DC0A866D7CCAE087291') # Colin Walters <walters at redhat.com>
-
-prepare() {
-  cd $pkgname
-
-  git submodule init
-  git submodule set-url bsdiff "$srcdir/bsdiff"
-  git submodule set-url libglnx "$srcdir/libglnx"
-  git submodule update
-
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
-  cd $pkgname
-
-  ./configure \
-    --prefix=/usr \
-    --sysconfdir=/etc \
-    --localstatedir=/var \
-    --sbindir=/usr/bin \
-    --libexecdir=/usr/lib \
-    --with-builtin-grub2-mkconfig \
-    --with-ed25519-libsodium \
-    --with-dracut \
-    --with-mkinitcpio \
-    --with-openssl \
-    --enable-experimental-api \
-    --disable-static \
-    --enable-gtk-doc
-
-  # circumvent overlinking
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  make check -k -C $pkgname || echo "Known to fail: https://github.com/ostreedev/ostree/issues/2313"
-}
-
-package() {
-  depends+=(libarchive.so libavahi-client.so libavahi-common.so
-            libavahi-glib.so libgio-2.0.so libglib-2.0.so libgobject-2.0.so
-            libgpgme.so libsoup-2.4.so libsystemd.so)
-  provides+=(libostree-1.so)
-
-  make DESTDIR="$pkgdir" install -C $pkgname
-}

Copied: ostree/repos/extra-x86_64/PKGBUILD (from rev 451558, ostree/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2022-07-22 20:40:12 UTC (rev 451559)
@@ -0,0 +1,76 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+# Contributor: Jan Alexander Steffens (heftig) <heftig at archlinux.org>
+# Contributor: Mirco Tischler <mt-ml at gmx dot de>
+
+_name=libostree
+pkgname=ostree
+_commit=15740d042c9c5258a1c082b5e228cf6f115edbb0  # tags/v2022.5^{}
+pkgver=2022.5
+pkgrel=1
+pkgdesc="Operating system and container binary deployment and upgrades"
+url="https://ostreedev.github.io/ostree/"
+arch=(x86_64)
+license=(GPL)
+depends=(fuse2 glibc libgpg-error libsodium util-linux openssl xz zlib)
+makedepends=(avahi e2fsprogs git glib2 gobject-introspection gpgme gtk-doc
+             libarchive libsoup libxslt mkinitcpio python systemd)
+checkdepends=(cpio elfutils gjs parallel python-yaml syslinux)
+source=(
+  git+https://github.com/ostreedev/ostree#commit=$_commit
+  git+https://github.com/mendsley/bsdiff
+  git+https://gitlab.gnome.org/GNOME/libglnx.git
+)
+b2sums=('SKIP'
+        'SKIP'
+        'SKIP')
+# upstream ticket about chain of trust:
+# https://github.com/ostreedev/ostree/issues/2349
+validpgpkeys=('1CEC7A9DF7DA85ABEF843DC0A866D7CCAE087291') # Colin Walters <walters at redhat.com>
+
+prepare() {
+  cd $pkgname
+
+  git submodule init
+  git submodule set-url bsdiff "$srcdir/bsdiff"
+  git submodule set-url libglnx "$srcdir/libglnx"
+  git submodule update
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  cd $pkgname
+
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --sbindir=/usr/bin \
+    --libexecdir=/usr/lib \
+    --with-builtin-grub2-mkconfig \
+    --with-ed25519-libsodium \
+    --with-dracut \
+    --with-mkinitcpio \
+    --with-openssl \
+    --enable-experimental-api \
+    --disable-static \
+    --enable-gtk-doc
+
+  # circumvent overlinking
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  make check -k -C $pkgname || echo "Known to fail: https://github.com/ostreedev/ostree/issues/2313"
+}
+
+package() {
+  depends+=(libarchive.so libavahi-client.so libavahi-common.so
+            libavahi-glib.so libgio-2.0.so libglib-2.0.so libgobject-2.0.so
+            libgpgme.so libsoup-2.4.so libsystemd.so)
+  provides+=(libostree-1.so)
+
+  make DESTDIR="$pkgdir" install -C $pkgname
+}



More information about the arch-commits mailing list